Name:           plexus-cli
Version:        1.6
Release:        %mkrel 3
Group:          Development/Java
Epoch:          0
Summary:        Command Line Interface facilitator for Plexus
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-cli
BuildArch:      noarch

# git clone git://github.com/codehaus-plexus/plexus-cli.git
# git --git-dir plexus-cli/.git archive --prefix plexus-cli-1.6/ 8927458e81 | xz >plexus-cli-1.6.tar.xz
Source0:        %{name}-%{version}.tar.xz
Source1:        LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(commons-cli:commons-cli)
BuildRequires:  mvn(org.codehaus.plexus:plexus-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
cp -p %{SOURCE1} .

%mvn_file : plexus/cli

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt




%changelog
* Wed Feb 24 2016 neoclust <neoclust> 0:1.6-3.mga6
+ Revision: 977786
- First rebuild of the java stack
- sync package plexus-cli with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 30 2014 daviddavid <daviddavid> 0:1.2-21.mga5
+ Revision: 807253
- Sync with fc21
- Build with xmvn

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0:1.2-18.mga4
+ Revision: 535082
- Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - Rebuild against new javapackages

* Tue Sep 17 2013 dmorgan <dmorgan> 0:1.2-16.mga4
+ Revision: 480992
- Remove unneeded BRs, rhbz #915617
- Include a copy of the licence, rhbz #880282

* Mon Jul 08 2013 dmorgan <dmorgan> 0:1.2-14.mga4
+ Revision: 451060
- Fix license tag to be ASL 2.0 (no plexus licensing anywhere)
- Update to new guidelines

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 24 2011 dmorgan <dmorgan> 0:1.2-12.mga2
+ Revision: 128199
- Clean spec file

* Wed Jul 20 2011 dmorgan <dmorgan> 0:1.2-11.mga2
+ Revision: 127534
- Fix file list
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.2-10.mga1
+ Revision: 93016
- Rebuild after bootstrapping
- imported package plexus-cli


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Andrew Overholt <overholt@redhat.com> 0:1.2-8
- Add jakarta-commons-cli BR

* Thu Aug 20 2009 Andrew Overholt <overholt@redhat.com> 0:1.2-7
- Remove gcj support
- Default to building with ant
- Add patch to include fixed file headers
  (http://jira.codehaus.org/browse/PLX-418)

* Sun May 17 2009 Fernando Nasser <fnasser@redhat.com> 0:1.2-6
- Fix license and source URL

* Tue Apr 30 2009 Yong Yang <yyang@redhat.com> 0:1.2-5
- Add BRs maven-doxia*
- Rebuild with new maven2 2.0.8 built in non-bootstrap mode

* Tue Mar 17 2009 Yong Yang <yyang@redhat.com> 0:1.2-4
- rebuild with new maven2 2.0.8 built in bootstrap mode

* Thu Feb 05 2009 Yong Yang <yyang@redhat.com> 0:1.2-3
- fix release tag

* Wed Jan 14 2009 Yong Yang <yyang@redhat.com> 0:1.2-2jpp.2
-re-build with gcj

* Wed Jan 14 2009 Yong Yang <yyang@redhat.com> 0:1.2-2jpp.1
- Import from maven 2.0.8 packages, initial bulding

* Wed Jan 30 2008 Deepak Bhole <dbhole@redhat.com> 0:1.2-1jpp.1
- Initial build with merge from JPackage
